Package org.apache.sysds.runtime.codegen

## Class SpoofCUDAOperator.PrecisionProxy

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofCUDAOperator.PrecisionProxy

Direct Known Subclasses:
  `SpoofCUDAInstruction.DoublePrecision`, `SpoofCUDAInstruction.SinglePrecision`

Enclosing interface:
  SpoofCUDAOperator

    public abstract static class SpoofCUDAOperator.PrecisionProxy
    extends Object

### Constructor Summary

Constructors
`PrecisionProxy()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract int` `exec​(SpoofCUDAOperator op)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrecisionProxy

    public PrecisionProxy()

### Method Detail

#### exec

    public abstract int exec​(SpoofCUDAOperator op)